Skip to main content

Create Lead Appointment: RealPage Partner Exchange

POSThttps://api.propexo.com/v1/events/appointments/leads/realpage_rpx/

Create an appointment for a lead in RealPage Partner Exchange. RealPage interprets the appointment date and time as being local to the timezone of the property the appointment is associated with. Times will not be converted without you intervening. Times will not be automatically adjusted for daylight savings. RealPage has a configuration setting to save the default timezone for a property, but many properties leave this setting unconfigured in our experience. Unfortunately, RealPage does not currently offer an API to query the property's timezone settings.

MethodInterface
InsertFollowUpProspect Management
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    employee_idstringrequired

    The Propexo unique identifier for the employee

    appointment_datestringrequired

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestringrequired

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    appointment_duration_minutesintegerrequired

    The duration of the appointment, in minutes

    Possible values: > 0

    notesstring

    Notes associated with the event

    prioritystring

    The priority of the appointment

    Show 3 enum values
    HIGHMEDIUMLOW

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    employee_idstringrequired

    The Propexo unique identifier for the employee

    appointment_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestringrequired

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    appointment_duration_minutesintegerrequired

    The duration of the appointment, in minutes

    Possible values: > 0

    notesstring | nullnullablerequired

    Notes associated with the event

    prioritystring | nullnullablerequired

    The priority of the appointment

    Show 3 enum values
    HIGHMEDIUMLOW

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/appointments/leads/realpage_rpx/
curl -X POST https://api.propexo.com/v1/events/appointments/leads/realpage_rpx/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_id": "string",
"employee_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"appointment_duration_minutes": 0
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"employee_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"appointment_duration_minutes": 0,
"notes": "string",
"priority": "HIGH"
}
}